1
0
mirror of git://sourceware.org/git/lvm2.git synced 2025-03-10 16:58:47 +03:00

Export testlib_cleanup_ from test-lib.sh, which is needed for test-utils.sh to

be able to call proper EXIT traps.
This commit is contained in:
Petr Rockai 2008-09-29 16:00:53 +00:00
parent bae6646b68
commit b68d755f77

View File

@ -247,10 +247,14 @@ done
test_dir_rand_=$($abs_srcdir/mkdtemp $test_dir_ lvm-$this_test.XXXXXXXXXX) \
|| error "failed to create temporary directory in $test_dir_"
testlib_cleanup_() {
d="$test_dir_rand_";
cd "$test_dir_" && chmod -R u+rwx "$d" && rm -rf "$d"
}
# Run each test from within a temporary sub-directory named after the
# test itself, and arrange to remove it upon exception or normal exit.
trap 'st=$?; cleanup_; d='"$test_dir_rand_"';
cd '"$test_dir_"' && chmod -R u+rwx "$d" && rm -rf "$d" && exit $st' 0
trap 'st=$?; cleanup_; testlib_cleanup_; exit $st' 0
trap '(exit $?); exit $?' 1 2 13 15
cd $test_dir_rand_ || error "failed to cd to $test_dir_rand_"